#
# spec file for package ubuntu-mate-artwork
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define _name   ubuntu-mate
Name:           ubuntu-mate-artwork
Version:        16.10.9
Release:        1.1
Summary:        Ubuntu MATE themes and artwork
License:        GPL-3.0+ and CC-BY-SA-4.0 and CC-BY-SA-3.0
Group:          System/GUI/Other
Url:            https://launchpad.net/ubuntu-mate
Source:         https://launchpad.net/ubuntu/+archive/primary/+files/%{name}_%{version}.tar.xz
# PATCH-FIX-UPSTREAM themes-light-menubars.patch sor.alexei@meowr.ru -- Make light menus in Ambiance (Gtk2), dark menus are buggy in Qt4 QGtk2Style.
Patch0:         themes-light-menubars.patch
BuildRequires:  fdupes
BuildRequires:  hicolor-icon-theme
BuildArch:      noarch

%description
This package contains Ubuntu MATE themes and artwork.

%package -n metatheme-ambiant-mate-common
Summary:        Ambiant-MATE Gtk Theme -- Common Files
Group:          System/GUI/Other
Recommends:     %{_name}-icon-theme
Suggests:       gtk2-metatheme-ambiant-mate
Suggests:       gtk3-metatheme-ambiant-mate

%description -n metatheme-ambiant-mate-common
Includes an Ambiant-MATE light-on-dark theme.

Introduced as the default theme in Ubuntu MATE 15.04.

%package -n metatheme-radiant-mate-common
Summary:        Radiant-MATE Gtk Theme -- Common Files
Group:          System/GUI/Other
Recommends:     %{_name}-icon-theme
Suggests:       gtk2-metatheme-radiant-mate
Suggests:       gtk3-metatheme-radiant-mate

%description -n metatheme-radiant-mate-common
Includes an Radiant-MATE dark-on-light theme.

Introduced as one of the defaults in Ubuntu MATE 15.04.

%package -n gtk2-metatheme-ambiant-mate
Summary:        Ambiant-MATE Gtk Theme -- GTK+ 2 Support
Group:          System/GUI/Other
Requires:       gtk2-engine-murrine >= 0.90.3
Requires:       metatheme-ambiant-mate-common = %{version}
Supplements:    packageand(metatheme-ambiant-mate-common:gtk2)

%description -n gtk2-metatheme-ambiant-mate
Includes an Ambiant-MATE light-on-dark theme.

Introduced as the default theme in Ubuntu MATE 15.04.

%package -n gtk2-metatheme-radiant-mate
Summary:        Radiant-MATE Gtk Theme -- GTK+ 2 Support
Group:          System/GUI/Other
Requires:       gtk2-engine-murrine >= 0.90.3
Requires:       metatheme-radiant-mate-common = %{version}
Supplements:    packageand(metatheme-radiant-mate-common:gtk2)

%description -n gtk2-metatheme-radiant-mate
Includes an Radiant-MATE dark-on-light theme.

Introduced as one of the defaults in Ubuntu MATE 15.04.

%package -n gtk3-metatheme-ambiant-mate
Summary:        Ambiant-MATE Gtk Theme -- GTK+ 3 Support
Group:          System/GUI/Other
Requires:       metatheme-ambiant-mate-common = %{version}
Supplements:    packageand(metatheme-ambiant-mate-common:gtk3)

%description -n gtk3-metatheme-ambiant-mate
Includes an Ambiant-MATE light-on-dark theme.

Introduced as the default theme in Ubuntu MATE 15.04.

%package -n gtk3-metatheme-radiant-mate
Summary:        Radiant-MATE Gtk Theme -- GTK+ 3 Support
Group:          System/GUI/Other
Requires:       metatheme-radiant-mate-common = %{version}
Supplements:    packageand(metatheme-radiant-mate-common:gtk3)

%description -n gtk3-metatheme-radiant-mate
Includes an Radiant-MATE dark-on-light theme.

Introduced as one of the defaults in Ubuntu MATE 15.04.

%package -n %{_name}-icon-theme
Summary:        Icon themes from Ubuntu MATE
Group:          System/X11/Icons
Requires:       humanity-icon-theme
Requires:       ubuntu-mono-icon-theme

%description -n %{_name}-icon-theme
This package contains icon themes from Ubuntu MATE.

%package -n %{_name}-wallpapers
Summary:        Wallpaper and background images from Ubuntu MATE
Group:          System/GUI/Other
Suggests:       mate-backgrounds

%description -n %{_name}-wallpapers
The default Ubuntu MATE wallpapers for the Ubuntu MATE releases.

%prep
%setup -q -n %{name}
%patch0 -p1
# Remove unwanted: Debian package, GRUB theme, Plymouth theme, odd script, LightDM defaults.
rm -rf debian symlink.sh .%{_sysconfdir} .%{_datadir}/%{_name} .%{_datadir}/plymouth

%build
# Nothing to build.

%install
cp -a --no-preserve=mode * %{buildroot}/
rm -f %{buildroot}/COPYING
for icons in Ambiant-MATE Radiant-MATE; do
    # %%icon_theme_cache_create_ghost fails to work.
    touch %{buildroot}%{_datadir}/icons/$icons/icon-theme.cache
done
find %{buildroot} -type f -name "*.orig" -delete -print
%fdupes %{buildroot}/

%post -n %{_name}-icon-theme
%icon_theme_cache_post Ambiant-MATE
%icon_theme_cache_post Radiant-MATE

# No need for %%icon_theme_cache_postun in %%postun since the theme won't exist anymore.

%files -n metatheme-ambiant-mate-common
%defattr(-,root,root)
%doc COPYING
%{_datadir}/themes/Ambiant-MATE/
%exclude %{_datadir}/themes/Ambiant-MATE/gtk-?.*/
%dir %{_datadir}/gtksourceview-?.0/
%dir %{_datadir}/gtksourceview-?.0/styles/
%{_datadir}/gtksourceview-?.0/styles/Ambiant-MATE.xml

%files -n metatheme-radiant-mate-common
%defattr(-,root,root)
%doc COPYING
%{_datadir}/themes/Radiant-MATE/
%exclude %{_datadir}/themes/Radiant-MATE/gtk-?.*/
%dir %{_datadir}/gtksourceview-?.0/
%dir %{_datadir}/gtksourceview-?.0/styles/
%{_datadir}/gtksourceview-?.0/styles/Radiant-MATE.xml

%files -n gtk2-metatheme-ambiant-mate
%defattr(-,root,root)
%{_datadir}/themes/Ambiant-MATE/gtk-2.0/

%files -n gtk2-metatheme-radiant-mate
%defattr(-,root,root)
%{_datadir}/themes/Radiant-MATE/gtk-2.0/

%files -n gtk3-metatheme-ambiant-mate
%defattr(-,root,root)
%{_datadir}/themes/Ambiant-MATE/gtk-3.0/

%files -n gtk3-metatheme-radiant-mate
%defattr(-,root,root)
%{_datadir}/themes/Radiant-MATE/gtk-3.0/

%files -n %{_name}-icon-theme
%defattr (-,root,root)
%doc COPYING
%ghost %{_datadir}/icons/*/icon-theme.cache
%{_datadir}/icons/*/

%files -n %{_name}-wallpapers
%defattr(-,root,root)
%doc COPYING
%{_datadir}/backgrounds/
%{_datadir}/mate-background-properties/

%changelog
* Sun Oct 23 2016 sor.alexei@meowr.ru
- Update to version 16.10.9 (changes since 16.10.6):
  * Improve GTK+ 3.20 support (lp#1593054).
  * Fix mate-menu theme so colours are consistent (lp#1618035).
  * Fix missing symlink for add-folder-to-archive.svg (lp#1579339).
  * Fix Firefox tool tips (lp#1622555).
  * Fix tabs so they don't appear inactive (lp#1624572).
  * Fix Eye of MATE and Atril themes (lp#1624567).
  * Fix OSD (lp#1623197).
  * Fix Ubiquity theme (lp#1623195)
  * Fix mate-menu themes to use flat elements (lp#1630366,
    lp#1624755).
  * Fix LibreOffice toolbars and theme (lp#1624571, lp#1550990).
  * Fix symbolic icons for GtkExpander.
  * Fix Transmission progress bars (lp#1624565).
  * Fix Indicator Applet on transparent panels (lp#1598159).
  * Fix Firefox download progress bars (lp#1630224).
  * Fix Unlock button for Time and Date Settings (lp#1630910).
  * Fix Back/Forward navigation buttons in Yelp (lp#1624574).
  * Fix Firefox Search/Location entry box borders (lp#1624738).
  * Fix Firefox menu items.
* Wed Aug 17 2016 sor.alexei@meowr.ru
- Update to version 16.10.6:
  * Update Ubuntu MATE themes to support GTK+ 3.20 (lp#1593048).
* Fri Jul 22 2016 sor.alexei@meowr.ru
- Update to version 16.10.5 (changes since 16.10.3):
  * Update community contributed wallpapers.
  * Correct accidental downgrade of themes.
* Sat Jun 25 2016 sor.alexei@meowr.ru
- Update to version 16.10.3 (changes since 16.10.1):
  * Fix broken battery icon.
  * Update community contributed wallpapers.
* Sun May 29 2016 sor.alexei@meowr.ru
- Update to version 16.10.1 (changes since 16.04.6.1):
  * Add gtksourceview 3.0 styles.
  * Add initial community contributed wallpapers.
  * Drop obsolete Yuyo gtksourceview 2.0 styles.
  * Update Ambiant-MATE and Radiant-MATE to support MATE built
    against GTK 3.18.
- Rebase themes-light-menubars.patch.
* Wed May  4 2016 sor.alexei@meowr.ru
- Update to version 16.04.6.1:
  * Add 1px padding to calendar widget elements; looks better.
  * Add these fixes for Calendar: lp#1551744, lp#1558659.
  * Merge fixes from ubuntu-themes.
* Mon Apr 11 2016 sor.alexei@meowr.ru
- Update to version 16.04.6:
  * Ambiance, Radiance: use inverted gradient in headerbar when in
    toolbar-mode (lp#1515810).
  * Reduce the padding on flat entries, that's needed with Gtk 3.18
    otherwise the entry is displayed over new rows in listview when
    editing, that's also what the Gtk upstream themes are doing.
  * Show the cursor index better in Totem videos (lp#1545026).
  * Override box shadow and border settings for linked dialog
    buttons so they don't looked mashed together. Extra border
    radius is required to stop the button background bleeding
    through the border (lp#1513856).
* Wed Mar 23 2016 sor.alexei@meowr.ru
- Update to 16.04.5:
  * Reupload to add art assets missing from version 16.04.4.
* Mon Mar 21 2016 sor.alexei@meowr.ru
- Update to 16.04.4 (changes since 16.04.2):
  * Fix icon inheritance (lp#1552363, lp#1549079).
  * Fix incorrect Open icon (lp#1541929).
  * Fix LibreOffice icons in Ambiant-MATE and Radiant-MATE icon
    themes (lp#1551029, lp#1499521).
  * Fix incorrect theming for Mozo dialogues (lp#1442738).
  * Fix incorrect Appearance icon (lp#1556618).
  * Correct buttons and scrollbars so GTK+2 and GTK+3 themes are
    more closely aligned.
  * Add resize area and shadows for CSD windows.
  * Add minimal style for CSD windows running without a compositor.
  * Add Synapse indicator icons.
  * Add a community contributed wallpaper.
- Remove themes-csd-titlebar-fix.patch.
* Mon Feb 22 2016 sor.alexei@meowr.ru
- Update to 16.04.2:
  * Add new community contributed wallpapers.
  * Add parcellite icons.
  * Remove symlink.sh, it is obsolete.
  * Remove the "hushed" variations of the Solar System wallpapers.
* Mon Jan 25 2016 sor.alexei@meowr.ru
- Update to 16.04.1:
  * Basic "app-notification" theming to avoid weirdness in Nautilus.
  * Update the nautilus.css with the current upstream one, it could
    probably be tweaked a bit and has references to colour used
    upstream but those don't look out of place with our theme and
    is better than what we had.
  * Add MATE colourised icons for categories (lp#1530446).
  * Add new community contributed wallpapers.
* Sun Jan  3 2016 sor.alexei@meowr.ru
- Update to 16.04.0:
  * Add padding to sidebar icons (lp#1515557).
  * Revised theme support for new version of Gedit.
  * osd: style free-floating osd buttons (lp#1466890, lp#1500844).
  * Add new community contributed wallpapers.
  * Add MATE colourised icons for devices and places (lp#1509712).
* Sat Dec 19 2015 sor.alexei@meowr.ru
- Update to 15.12.1:
  * Transition with new plymouth from /usr/share to /lib:
  - replace /lib instances by /usr/share
  - move lib/plymouth to usr/share/plymouth
  - breaks against older plymouth.
  - ensure we can transition the alternatives to the new version
  * Fixing a removal in ubuntu mate on a file that isn't part of
    this package.
* Thu Sep 24 2015 sor.alexei@meowr.ru
- Update to 15.10.4:
  * Add missing symlinks for icons required by Blueman 2.0.
  * Style software-center's action bar again.
* Mon Sep 21 2015 sor.alexei@meowr.ru
- Update to 15.10.3:
  * Add Keep Calm themed backdrops contributed by Tim Apple.
  * Update Gtk3 scrollbars to be always visible so they fit with
    the MATE desktop.
* Sun Sep  6 2015 sor.alexei@meowr.ru
- Update to 15.10.2:
  * Add Wily Werewolf themed backdrops contributed by
    Ghost Sixtyseven.
- Remove themes-scrollbar-fixes.patch.
* Thu Aug 20 2015 sor.alexei@meowr.ru
- Update to 15.10.1:
  * Clean up nautilus theming. Mostly, this consists of moving from
    nautilus-specific widgets and classes to more generic gtk ones
    (lp#1463848).
  * Theme GTK overlay-scrollbars to be more ubuntu-ish.
* Wed Aug  5 2015 sor.alexei@meowr.ru
- Update to 0.4.12 (changes since 0.4.10):
  * Add community contributed wallpapers from David Chadderton.
  * Add community contributed wallpaper from quidsup.
  * Update Plymouth boot animation.
  * Update lib/plymouth/themes/ubuntu-mate-logo/ubuntu--mate-logo.script
    to support fsckd systemd service protocol.
* Thu Jun 25 2015 sor.alexei@meowr.ru
- Update to 0.4.10 (changes since 0.4.8):
  * Align with ubuntu-themes 14.04~bzr20150603.
  * Set :link colour.
  * Style under- and overshoot.
  * Add community contributed wallpapers from David Chadderton and
    João Pedro Coli.
  * Improve Gtk3 progress bar colour blending.
  * Update the LighDM GTK Greeter configuration to conform with
    recent changes to handle multiple configuration files
    (lp#1466191).
* Sat May 23 2015 sor.alexei@meowr.ru
- Update to 0.4.8:
  * Fixed the progress bar colours in Gtk3 applications.
* Fri Apr 17 2015 sor.alexei@meowr.ru
- Update to 0.4.7 (changes since 0.4.5):
  * Draw shadows for menus.
  * Do not use symbolic colors for style.
  * Radiant-MATE: Fix radio mark colouring in menus.
  * Set the background on GtkStack widgets.
  * Switch gnome-icon-theme to adwaita-icon-theme, which is its
    successor.
  * gnome-panel.css: Fix styling for checked GtkToggleButtons.
  * metacity-theme: remove unsupported properties.
  * Stop using the unico gtk engine.
  * A few more fixes and cleanups for gtk 3.14 (combo boxes,
    spinners).
- Remove themes-scrollbar-fixes-compiz.patch.
- Add themes-scrollbar-fixes.patch.
* Mon Mar  2 2015 sor.alexei@meowr.ru
- Initial package.
